<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__prot__functions__smpu" kind="group">
    <compoundname>group_prot_functions_smpu</compoundname>
    <title>SMPU Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__prot__functions__smpu_1ga672858f1cf85d6633ba0a16b6c01f0bf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>__STATIC_INLINE cy_en_prot_status_t Cy_Prot_DisableSmpuStruct</definition>
        <argsstring>(PROT_SMPU_SMPU_STRUCT_Type *base)</argsstring>
        <name>Cy_Prot_DisableSmpuStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type">PROT_SMPU_SMPU_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>This function disables both the master and slave parts of a protection unit. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base address for the SMPU structure to be disabled.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Master and Slave SMPU struct was disabled &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Master and/or slave SMPU struct was not disabled &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_INVALID_STATE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Function was called on the unsupported PERI IP version &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />struct<sp />of<sp />PROT_SMPU_SMPU_STRUCT0<sp />needs<sp />to<sp />be<sp />disabled.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Or<sp />it<sp />needs<sp />to<sp />be<sp />reconfigured<sp />and<sp />hence<sp />must<sp />first<sp />be<sp />disabled.<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Both<sp />Slave<sp />and<sp />Master<sp />structures<sp />will<sp />be<sp />disabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1ga672858f1cf85d6633ba0a16b6c01f0bf">Cy_Prot_DisableSmpuStruct</ref>(PROT_SMPU_SMPU_STRUCT0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1121" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="1111" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="987" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__smpu_1ga9d10062d2d4cb3d656141b7d3217d7a9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_GetSmpuStruct</definition>
        <argsstring>(PROT_SMPU_SMPU_STRUCT_Type **base, cy_en_prot_req_mode_t reqMode, uint32_t smpuIndex)</argsstring>
        <name>Cy_Prot_GetSmpuStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type">PROT_SMPU_SMPU_STRUCT_Type</ref> **</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__prot__enums_1gaaeba5a362760906a0b1e0f73a177d9d7">cy_en_prot_req_mode_t</ref></type>
          <declname>reqMode</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>smpuIndex</declname>
        </param>
        <briefdescription>
<para>Functions returns a pointer of the requested unused SMPU structure. </para>        </briefdescription>
        <detaileddescription>
<para>It searches the SMPU structures until it finds one that both the slave and master sections are disabled. After an available structure is located, function enables the slave structure and set the ATT0[7:0] bits to 0xFF, to make sure that a subsequent call will not see this as an available (unused) SMPU.</para><para>It is up to the user to implement, if needed, a system in which a semaphore will lock-out all but one CPU from calling this function at once.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for both CPUSS ver_1 and ver_2.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base address for the SMPU structure returned if an unused structure was found. If an empty structure was not found, the returned pointer is NULL.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>reqMode</parametername>
</parameternamelist>
<parameterdescription>
<para>This parameter (request mode) selects how the user wants to select a SMPU structure.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;reqMode &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_REQMODE_HIGHPRIOR &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Return the SMPU structure with the highest priority. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_REQMODE_LOWPRIOR &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Return the SMPU structure with the lowest priority. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_REQMODE_INDEX &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;Return the SMPU structure with the specific index. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>smpuIndex</parametername>
</parameternamelist>
<parameterdescription>
<para>This is the index of the requested SMPU structure. It is only used if the request mode is reqMode = CY_PROT_REQMODE_INDEX.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Slave PU struct was disabled. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Master or Slave SMPU struct is disabled and possibly locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_UNAVAILABLE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The requested structure in use or there were no unused structures. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Need<sp />to<sp />find<sp />available<sp />SMPU<sp />structure<sp />with<sp />highest<sp />priority<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*<sp /><sp />and<sp />configure<sp />it.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type">PROT_SMPU_SMPU_STRUCT_Type</ref><sp />*reqStr;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Find<sp />required<sp />SMPU<sp />structure<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1ga9d10062d2d4cb3d656141b7d3217d7a9">Cy_Prot_GetSmpuStruct</ref>(&amp;reqStr,<sp /><ref kindref="member" refid="group__group__prot__enums_1ggaaeba5a362760906a0b1e0f73a177d9d7aa2f960efb4d291b72c77432e3a20a30a">CY_PROT_REQMODE_HIGHPRIOR</ref>,<sp />0U))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__smpu__cfg__t">cy_stc_smpu_cfg_t</ref><sp />smpuCfg_m<sp />=<sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.address<sp />=*/</highlight><highlight class="normal"><sp />0UL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Not<sp />applicable<sp />for<sp />master<sp />struct<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.regionSize<sp />=*/</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__prot__enums_1gaad39ed0d259460f717edfe9d08fc005f">cy_en_prot_size_t</ref>)0UL,<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Not<sp />applicable<sp />for<sp />master<sp />struct<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.subregions<sp />=*/</highlight><highlight class="normal"><sp />0UL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Not<sp />applicable<sp />for<sp />master<sp />struct<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.userPermission<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aad6e3850fb76be4bd78240a4fc284985">CY_PROT_PERM_R</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Read<sp />access<sp />always<sp />available<sp />for<sp />Master<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.privPermission<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aa7d757bf3cedd4f675b65d3ed642d315">CY_PROT_PERM_RW</ref>,<sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Allow<sp />read<sp />and<sp />write<sp />accesses<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.secure<sp />=*/</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Only<sp />allow<sp />"secure"<sp />bus<sp />masters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.pcMatch<sp />=*/</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Perform<sp />access<sp />evaluation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.pcMask<sp />=*/</highlight><highlight class="normal"><sp />(uint16_t)0UL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Only<sp />allow<sp />PC=0<sp />bus<sp />masters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Configure<sp />the<sp />master<sp />of<sp />the<sp />found<sp />struct<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1ga1152bf9c8a08744825b62d7d3ddad10d">Cy_Prot_ConfigSmpuMasterStruct</ref>(reqStr,<sp />&amp;smpuCfg_m))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />the<sp />master<sp />of<sp />the<sp />found<sp />struct<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1ga87bd25407886fb5072cc108af2dcb305">Cy_Prot_EnableSmpuMasterStruct</ref>(reqStr))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="763" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="687" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="988" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__smpu_1ga1152bf9c8a08744825b62d7d3ddad10d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_ConfigSmpuMasterStruct</definition>
        <argsstring>(PROT_SMPU_SMPU_STRUCT_Type *base, const cy_stc_smpu_cfg_t *config)</argsstring>
        <name>Cy_Prot_ConfigSmpuMasterStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type">PROT_SMPU_SMPU_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__smpu__cfg__t">cy_stc_smpu_cfg_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Configures a Shared Memory Protection Unit (SMPU) master protection struct with its protection attributes. </para>        </briefdescription>
        <detaileddescription>
<para>This function configures the master struct governing the corresponding slave struct pair. It is a mechanism to protect the slave SMPU struct. Since the memory location of the slave struct is known, the address, regionSize and subregions of the configuration struct are not applicable.</para><para>Note that only the user/privileged write permissions are configurable. The read and execute permissions are read-only and cannot be configured.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for both CPUSS ver_1 and ver_2.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The register base address of the protection struct being configured.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Initialization structure with all the protection attributes.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;SMPU master struct was successfully configured. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The resource is locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_BAD_PARAM &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;An incorrect/invalid parameter was passed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />A<sp />bus<sp />master<sp />must<sp />not<sp />be<sp />able<sp />to<sp />access<sp />the<sp />PROT_SMPU_SMPU_STRUCT0</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />master<sp />and<sp />slave<sp />structs<sp />unless<sp />operating<sp />with<sp />PC=0,<sp />"secure"<sp />and</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"privileged"<sp />access<sp />settings.<sp />The<sp />PROT_SMPU_SMPU_STRUCT0<sp />slave<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />struct<sp />is<sp />already<sp />configured<sp />and<sp />enabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__smpu__cfg__t">cy_stc_smpu_cfg_t</ref><sp />smpuCfg_m<sp />=<sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.address<sp />=*/</highlight><highlight class="normal"><sp />0UL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Not<sp />applicable<sp />for<sp />master<sp />struct<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.regionSize<sp />=*/</highlight><highlight class="normal"><sp />(<ref kindref="member" refid="group__group__prot__enums_1gaad39ed0d259460f717edfe9d08fc005f">cy_en_prot_size_t</ref>)0UL,<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Not<sp />applicable<sp />for<sp />master<sp />struct<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.subregions<sp />=*/</highlight><highlight class="normal"><sp />0UL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Not<sp />applicable<sp />for<sp />master<sp />struct<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.userPermission<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aad6e3850fb76be4bd78240a4fc284985">CY_PROT_PERM_R</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Read<sp />access<sp />always<sp />available<sp />for<sp />Master<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.privPermission<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aa7d757bf3cedd4f675b65d3ed642d315">CY_PROT_PERM_RW</ref>,<sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Allow<sp />read<sp />and<sp />write<sp />accesses<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.secure<sp />=*/</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">true</highlight><highlight class="normal">,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Only<sp />allow<sp />"secure"<sp />bus<sp />masters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.pcMatch<sp />=*/</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Perform<sp />access<sp />evaluation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.pcMask<sp />=*/</highlight><highlight class="normal"><sp />(uint16_t)0UL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Only<sp />allow<sp />PC=0<sp />bus<sp />masters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Configure<sp />the<sp />master<sp />struct<sp />of<sp />SMPU<sp />#0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1ga1152bf9c8a08744825b62d7d3ddad10d">Cy_Prot_ConfigSmpuMasterStruct</ref>(PROT_SMPU_SMPU_STRUCT0,<sp />&amp;smpuCfg_m))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />the<sp />master<sp />struct<sp />of<sp />SMPU<sp />#0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1ga87bd25407886fb5072cc108af2dcb305">Cy_Prot_EnableSmpuMasterStruct</ref>(PROT_SMPU_SMPU_STRUCT0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="410" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="373" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="990" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__smpu_1gac5c238971d86bc638507259c9a461f54" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_ConfigSmpuSlaveStruct</definition>
        <argsstring>(PROT_SMPU_SMPU_STRUCT_Type *base, const cy_stc_smpu_cfg_t *config)</argsstring>
        <name>Cy_Prot_ConfigSmpuSlaveStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type">PROT_SMPU_SMPU_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__smpu__cfg__t">cy_stc_smpu_cfg_t</ref> *</type>
          <declname>config</declname>
        </param>
        <briefdescription>
<para>Configures a Shared Memory Protection Unit (SMPU) slave protection struct with its protection attributes. </para>        </briefdescription>
        <detaileddescription>
<para>This function configures the slave struct of an SMPU pair, which can protect any memory region in a device from invalid bus master accesses.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for both CPUSS ver_1 and ver_2.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The register base address of the protection structure being configured.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Initialization structure with all the protection attributes.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;SMPU slave struct was successfully configured. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The resource is locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_BAD_PARAM &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;An incorrect/invalid parameter was passed. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />A<sp />bus<sp />master<sp />must<sp />not<sp />be<sp />able<sp />to<sp />access<sp />the<sp />memory<sp />region<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x10000200<sp />~<sp />0x10000FFF<sp />unless<sp />it<sp />is<sp />operating<sp />at<sp />PC=0<sp />or<sp />PC=2<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__smpu__cfg__t">cy_stc_smpu_cfg_t</ref><sp />smpuCfg_s<sp />=<sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.address<sp />=*/</highlight><highlight class="normal"><sp />(uint32_t<sp />*)0x10000000UL,<sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Starting<sp />address<sp />at<sp />start<sp />of<sp />Flash<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.regionSize<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1ggaad39ed0d259460f717edfe9d08fc005fa0a5fe31cf4a2de284e6b631f1a4c8ec7">CY_PROT_SIZE_4KB</ref>,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Protect<sp />block<sp />of<sp />4<sp />KBytes<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.subregions<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1gga618195213f866568fb71ed14af59cf6ca9b41ba059d2baba289e8776d46cea7ef">CY_PROT_SUBREGION_DIS0</ref>,<sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Disable<sp />protection<sp />for<sp />first<sp />512<sp />(4096/8)<sp />Bytes<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.userPermission<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aa60056a96ee4d8d2133b69e3714a318b">CY_PROT_PERM_RWX</ref>,<sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Allow<sp />all<sp />user<sp />mode<sp />accesses<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.privPermission<sp />=*/</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__prot__enums_1gga330789bc5242c26b8a32df63fa8720e5aa60056a96ee4d8d2133b69e3714a318b">CY_PROT_PERM_RWX</ref>,<sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Allow<sp />all<sp />privileged<sp />mode<sp />accesses<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.secure<sp />=*/</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Allow<sp />"non-secure"<sp />bus<sp />masters<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.pcMatch<sp />=*/</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">false</highlight><highlight class="normal">,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Perform<sp />access<sp />evaluation<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.pcMask<sp />=*/</highlight><highlight class="normal"><sp />(uint16_t)<ref kindref="member" refid="group__group__prot__enums_1gga4486bc74d6e98ad99c1ce4d532e48d0fa0b17d740a164ae90f06a4ab2f17d79d0">CY_PROT_PCMASK2</ref><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Allow<sp />PC=0<sp />and<sp />PC=2<sp />accesses<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Configure<sp />the<sp />slave<sp />struct<sp />of<sp />SMPU<sp />#0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1gac5c238971d86bc638507259c9a461f54">Cy_Prot_ConfigSmpuSlaveStruct</ref>(PROT_SMPU_SMPU_STRUCT0,<sp />&amp;smpuCfg_s))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />the<sp />slave<sp />struct<sp />of<sp />SMPU<sp />#0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1ga3398e43534912ca2b980d08d08287801">Cy_Prot_EnableSmpuSlaveStruct</ref>(PROT_SMPU_SMPU_STRUCT0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="478" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="444" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="991" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__smpu_1ga87bd25407886fb5072cc108af2dcb305" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_EnableSmpuMasterStruct</definition>
        <argsstring>(PROT_SMPU_SMPU_STRUCT_Type *base)</argsstring>
        <name>Cy_Prot_EnableSmpuMasterStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type">PROT_SMPU_SMPU_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the Master SMPU structure. </para>        </briefdescription>
        <detaileddescription>
<para>This is an SMPU master struct enable function. The SMPU protection settings will take effect after successful completion of this function call.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for both CPUSS ver_1 and ver_2.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base address for the protection unit structure being configured.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Master PU struct was enabled. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Master PU struct is disabled and possibly locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />master<sp />struct<sp />of<sp />PROT_SMPU_SMPU_STRUCT0<sp />is<sp />configured<sp />to<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />protect<sp />its<sp />slave<sp />struct<sp />and<sp />needs<sp />to<sp />be<sp />enabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1ga87bd25407886fb5072cc108af2dcb305">Cy_Prot_EnableSmpuMasterStruct</ref>(PROT_SMPU_SMPU_STRUCT0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="518" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="507" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="992" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__smpu_1gaefa4f2694e66f39444b714b8505305b7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_DisableSmpuMasterStruct</definition>
        <argsstring>(PROT_SMPU_SMPU_STRUCT_Type *base)</argsstring>
        <name>Cy_Prot_DisableSmpuMasterStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type">PROT_SMPU_SMPU_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the Master SMPU structure. </para>        </briefdescription>
        <detaileddescription>
<para>This is an SMPU master struct disable function. The SMPU protection settings will seize to take effect after successful completion of this function call.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for both CPUSS ver_1 and ver_2.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base address for the protection unit structure being configured.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Master PU struct was disabled. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Master PU struct is enabled and possibly locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />master<sp />sturct<sp />of<sp />PROT_SMPU_SMPU_STRUCT0<sp />needs<sp />to<sp />be<sp />disabled.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Or<sp />it<sp />needs<sp />to<sp />be<sp />reconfigured<sp />and<sp />hence<sp />must<sp />first<sp />be<sp />disabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1ga87bd25407886fb5072cc108af2dcb305">Cy_Prot_EnableSmpuMasterStruct</ref>(PROT_SMPU_SMPU_STRUCT0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="558" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="547" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="993" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__smpu_1ga3398e43534912ca2b980d08d08287801" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_EnableSmpuSlaveStruct</definition>
        <argsstring>(PROT_SMPU_SMPU_STRUCT_Type *base)</argsstring>
        <name>Cy_Prot_EnableSmpuSlaveStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type">PROT_SMPU_SMPU_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Enables the Slave SMPU structure. </para>        </briefdescription>
        <detaileddescription>
<para>This is an SMPU slave struct enable function. The SMPU protection settings will take effect after successful completion of this function call.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for both CPUSS ver_1 and ver_2.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base address for the protection unit structure being configured.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Slave PU struct was enabled. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Slave PU struct is disabled and possibly locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />slave<sp />struct<sp />of<sp />PROT_SMPU_SMPU_STRUCT0<sp />is<sp />configured<sp />to<sp /></highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />protect<sp />a<sp />resource<sp />and<sp />needs<sp />to<sp />be<sp />enabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1ga3398e43534912ca2b980d08d08287801">Cy_Prot_EnableSmpuSlaveStruct</ref>(PROT_SMPU_SMPU_STRUCT0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="598" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="587" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="994" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__prot__functions__smpu_1ga7d5ad654f90ef163ce8dcb14a21379f3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga13ede85383a4afaf5ed3a14b470e38bd">cy_en_prot_status_t</ref></type>
        <definition>cy_en_prot_status_t Cy_Prot_DisableSmpuSlaveStruct</definition>
        <argsstring>(PROT_SMPU_SMPU_STRUCT_Type *base)</argsstring>
        <name>Cy_Prot_DisableSmpuSlaveStruct</name>
        <param>
          <type><ref kindref="compound" refid="struct_p_r_o_t___s_m_p_u___s_m_p_u___s_t_r_u_c_t___type">PROT_SMPU_SMPU_STRUCT_Type</ref> *</type>
          <declname>base</declname>
        </param>
        <briefdescription>
<para>Disables the Slave SMPU structure. </para>        </briefdescription>
        <detaileddescription>
<para>This is an SMPU slave struct disable function. The SMPU protection settings will seize to take effect after successful completion of this function call.</para><para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is applicable for both CPUSS ver_1 and ver_2.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>The base address for the protection unit structure being configured.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the function call.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;Status &lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;Description  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_SUCCESS &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Slave PU struct was disabled. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;CY_PROT_FAILURE &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;The Slave PU struct is enabled and possibly locked. &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />The<sp />slave<sp />struct<sp />of<sp />PROT_SMPU_SMPU_STRUCT0<sp />needs<sp />to<sp />be<sp />disabled.</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Or<sp />it<sp />needs<sp />to<sp />be<sp />reconfigured<sp />and<sp />hence<sp />must<sp />first<sp />be<sp />disabled.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(<ref kindref="member" refid="group__group__prot__enums_1gga13ede85383a4afaf5ed3a14b470e38bda462f07fcb31ed8a07dd273af4290691d">CY_PROT_SUCCESS</ref><sp />!=<sp /><ref kindref="member" refid="group__group__prot__functions__smpu_1ga7d5ad654f90ef163ce8dcb14a21379f3">Cy_Prot_DisableSmpuSlaveStruct</ref>(PROT_SMPU_SMPU_STRUCT0))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Insert<sp />error<sp />handling<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="638" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_prot.c" bodystart="627" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="995" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>